SHEBANG
# Copyright (C) @BABOLO 2008  Dec 19 http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-tool.m4,v 1.2 2009/03/23 21:43:17 babolo Exp $

JNTROSTUP(ipmi,-tool,ipmidnl
,dnl
# jailup ${inclass}${suffix} dir [uid [gid]]
#     where dir relative to ${JAILUPDIR} and ${JAILRODIR}
# system sshd useddnl
)

jdir="${1}"
uid="${2:-77987}"
gid="${3:-77987}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}
ETCOPY(localtime)

${up_libexe} "${main_dir}/libexec" << EOF
    ld-elf.so.1
    ipmitool
EOF

echo "${main_dir}/libexec/ipmitool" | ${up_ldsh} | ${up_shlib} "${main_dir}/lib"
      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_acc} gr "${conf_dir}" <<- EOF
	wheel:*:0:
	operator:*:5:ipmi
	nogroup:*:65533:
	nobody:*:65534:
	ipmi:*:${gid}:
EOF

${up_acc} pwt "${conf_dir}" <<- EOF
	root:*:0:0::0:0:Charlie &:/:/nonexistent
	nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/nonexistent
	ipmi:*:${uid}:${gid}::0:0:IPMI:/nonexistent:/nonexistent
EOF
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################

${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.			type=dir mode=0755
    group
    localtime
    master.passwd		mode=0600
    master.template		mode=0600
..
EOF
      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${up_adc} "${etcdir}/fstab" <<- EOF
	#devfs			${main_dir}/dev	devfs	rw		0 0
	#${conf_dir}		${main_dir}/etc	nullfs	ro,noexec	0 0
EOF

${up_adc} "${STARTUPDIR}/devfs" <<- EOF
	${jdir}	ipmi	${inclass}${suffix}
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
